# Pagination

Depending on your request and the endpoint, the results in the response may be paginated. Use the following query parameters to page through the results:

| Name     | Type    | Description                                                                                                                                       |
| -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Limit`  | integer | The number of results returned per page. The default value is 100.                                                                                |
| `Offset` | integer | The index of the first object in the page. For example, if you have set a limit of 100 and want to see objects 101 through 200, then `Offset=100` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acymailing.com/rest-api/overview/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
